Subject: bug#77988: 31.0.50; No more images after fullscreen and load-theme

From: Po Lu <[email-masked]>
Date: Sat, 28 Jun 2025 21:50:15 +0800

Eli Zaretskii <[email-masked]> writes:

>> Thanks.  This part looks suspicious:
>> 
>> >   spec = {
>> >     i = 0x14fbfc3
>> >   },
>> >   dependencies = {
>> >     i = 0x14fc273
>> >   },
>> 
>> These are Lisp objects, and in the "good" case they were 64-bit
>> values:
>> 
>> >   spec = {
>> >     i = 0x7ffff4627b53
>> >   },
>> >   dependencies = {
>> >     i = 0x7ffff4627673
>> >   },
>> 
>> So it seems somehow the offending commit causes their truncation?  Or
>> maybe these Lisp objects were GC'ed (but how could that happen, when
>> all the images in the image cache are marked?).
>> 
>> Po Lu, would you please look into this soon?

If these fields are an excerpt from a `struct image', I can't imagine
why my commit could have truncated these Lisp_Objects, as `Picture's are
only X identifiers that are transmitted over the display connection.
I'll try to reproduce the OP's issue ASAP, and as ever I regret the
delay.